> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt
> Use this file to discover all available pages before exploring further.

> OpenAI 互換の Responses API（Beta）

# 概要

<Warning>
  **Beta API**

  この API は現在テスト段階（Beta）にあり、将来的に大きな更新が行われる可能性があります。本番環境で使用する際は十分にご注意ください。
</Warning>

AIHubMix の Responses API（Beta）は、OpenAI Responses API と互換性のある複数のモデル（GPT、Claude、GLM、Gemini など）にアクセスするための統一インターフェースを提供します。

このインターフェースは以下を含む拡張機能も提供します：

* 推論（Reasoning）
* ツール呼び出し（Tool Calling）

## ベース URL

```tex theme={null}
https://aihubmix.com/v1/responses
```

## 認証

すべてのリクエストは AIHubMix API キーによる認証が必要です。

<CodeGroup>
  ```python Python theme={null}
  import requests

  url = "https://aihubmix.com/v1/responses"

  headers = {
      "Authorization": "Bearer YOUR_AIHUBMIX_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
      "model": "claude-sonnet-4-6",
      "input": "Hello, world!"
  }

  response = requests.post(url, headers=headers, json=data)

  print(response.status_code)
  print(response.json())
  ```

  ```text TypeScript theme={null}
  const response = await fetch('https://aihubmix.com/v1/responses', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer YOUR_AIHUBMIX_API_KEY',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      model: 'o4-mini',
      input: 'Hello, world!',
    }),
  });
  ```

  ```shellscript cURL theme={null}
  curl -X POST https://aihubmix.com/v1/responses \
    -H "Authorization: Bearer YOUR_AIHUBMIX_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "model": "o4-mini",
      "input": "Hello, world!"
    }'
  ```
</CodeGroup>

***

最終更新日：2026-06-01
